Package classycle.dependency

# Class TextResult

java.lang.Object
classycle.dependency.TextResult

All Implemented Interfaces:
  `Result`

public class TextResult extends Object implements Result
Result as a text.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`TextResult(String text)`
Creates an instance with specified text which is ok.
`TextResult(String text, boolean ok)`
Creates an instance with specified text and specified OK flag.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isOk()`
Returns `true` if the checking result is positive.
`String`
`toString()`
Returns the text specified in the constructor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TextResult

public TextResult(String text)
Creates an instance with specified text which is ok.

### TextResult

public TextResult(String text, boolean ok)
Creates an instance with specified text and specified OK flag.

## Method Details

### isOk

public boolean isOk()
Description copied from interface: `Result`
Returns `true` if the checking result is positive.

Specified by:
  `isOk` in interface `Result`

### toString

public String toString()
Returns the text specified in the constructor.

Overrides:
  `toString` in class `Object`